# Interface methods for submodule: BoxSpatialObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SpatialObjectProxy as _SpatialObjectProxy


# Interface methods for class: BoxSpatialObject
class BoxSpatialObjectProxy(_SpatialObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Clear(self) -> None:
		""""""
		...

	def SetSizeInObjectSpace(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetSizeInObjectSpace(self) -> Sequence[float]:
		""""""
		...

	def SetPositionInObjectSpace(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetPositionInObjectSpace(self) -> Sequence[float]:
		""""""
		...

	def IsInsideInObjectSpace(self, point: Sequence[float]) -> bool:
		""""""
		...

